{% import 'macros.jinja2' as macros -%}
<?xml version="1.0" encoding="UTF-8" ?>
<FDSNStationXML xmlns="http://www.fdsn.org/xml/station/1" schemaVersion="1.1"
                xsi:schemaLocation="http://www.fdsn.org/xml/station/1 http://www.fdsn.org/xml/station/fdsn-station-1.1.xsd"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:resif="http://www.fdsn.org/xml/station/1/resif">
    <Source>RESIF-SI</Source>
    <Sender>RESIF-DC</Sender>
    <Module>RESIF WEB SERVICE: fdsnws-station | version: 1.1.1 </Module>
    <ModuleURI>{{ settings.api_url() }}</ModuleURI>
    <Created>{{ now.isoformat() }}</Created>

    {% for network in networks %}
        <Network code="{{ network.code }}"{% if network.altcode %} alternateCode="{{network.altcode }}"{% endif %} startDate="{{ network.starttime.isoformat() }}"{% if network.end %} endDate="{{ network.end.isoformat() }}"{% endif %} restrictedStatus="{{ network.policy }}">

            {% if network.description %}
                <Description>{{ network.description }}</Description>
            {% endif %}

            {% for identifier in network.identifiers %}
                {{ macros.identifier(identifier) }}
            {% endfor %}

            {% for comment in network.comments %}
                {{ macros.comment(comment) }}
            {% endfor %}

            {% for operator in network.operators %}
                {{ macros.operator(operator) }}
            {% endfor %}

            <TotalNumberStations>{{ network.nb_station }}</TotalNumberStations>
        </Network>
    {% endfor %}
</FDSNStationXML>